%define name	ati.2
%define cvs	20030307
%define version	4.3
%define release	2mdk

%define x11prefix /usr/X11R6
%define x11libdir %{x11prefix}/lib
%define x11moddir %{x11libdir}/modules

Summary:	Gatos enhanced ATI drivers
Name:		%{name}
Version:	%{version}.%{cvs}
Release:	%{release}
License:	GPL
Group:		System/XFree86
URL:		http://gatos.sourceforge.net
Source:		%{name}-%{cvs}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86 <= 4.3

%description
These are the experimental ATI drivers from gatos.sourceforge.net

NOTE: These drivers provide Xv support only, and do NOT provide DRI.

%prep
%setup -n %{name}
%build
xmkmf %{_topdir}/BUILD/XFree86-4.3/xc
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%x11moddir/atidrivers
mv $RPM_BUILD_ROOT%{x11moddir}/drivers/* $RPM_BUILD_ROOT/%{x11moddir}/atidrivers
rm -rf $RPM_BUILD_ROOT/%{x11moddir}/drivers

%pre
mkdir -p %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/ati_drv.o %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/atimisc_drv.o %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/r128_drv.o %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/radeon_drv.o %{x11moddir}/drivers_old

%post
mv %{x11moddir}/atidrivers/* %{x11moddir}/drivers
rm -rf %{x11moddir}/atidrivers

%postun
rm -rf %{x11moddir}/drivers/ati_drv.o
rm -rf %{x11moddir}/drivers/atimisc_drv.o
rm -rf %{x11moddir}/drivers/r128_drv.o
rm -rf %{x11moddir}/drivers/radeon_drv.o
mv %{x11moddir}/drivers_old/* %{x11moddir}/drivers
rm -rf %{x11moddir}/drivers_old
rm -rf %{x11moddir}/multimedia

%clean
rm -rf %RPM_BUILD_ROOT


%files

%defattr(-,root,root)
%doc README.gatos
%{x11moddir}/atidrivers/*
%{x11moddir}/multimedia/*


%changelog
* Sat Mar 13 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-2mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
	-update description (no DRI)

* Sat Mar 8 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
	- update r128 and radeon drivers
	- keep non ati drivers in same directory

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 4.3.20030304-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
	- intitial Mandrake package
	- fix file conflicts (thx flepied, made me think)


